RDKit: RDKit::MolHolderBase Class Reference

| RDKit Open-source cheminformatics and machine learning.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
RDKit::MolHolderBase Class Referenceabstract

Base class API for holding molecules so substructure search. More...

`#include <SubstructLibrary.h>`

Inheritance diagram for RDKit::MolHolderBase:

## Public Member Functions
virtual | ~MolHolderBase ()
virtual unsigned int | addMol (const ROMol &m)=0
virtual boost::shared_ptr< ROMol > | getMol (unsigned int) const =0
virtual unsigned int | size () const =0
| Get the current library size. More...

## Detailed Description

Base class API for holding molecules so substructure search.

This is an API that hides the implementation details used for indexing molecules for substructure searching. It simply provides an API for adding and getting molecules from a set.

Definition at line 50 of file SubstructLibrary.h.

## Constructor & Destructor Documentation

virtual RDKit::MolHolderBase::~MolHolderBase | ( |  | ) |
| inlinevirtual

Definition at line 52 of file SubstructLibrary.h.

References addMol(), getMol(), and size().

## Member Function Documentation

virtual unsigned int RDKit::MolHolderBase::addMol | ( | const ROMol & | m | ) |
| pure virtual

Add a new molecule to the substructure search library Returns the molecules index in the library

Implemented in RDKit::CachedTrustedSmilesMolHolder, RDKit::CachedSmilesMolHolder, RDKit::CachedMolHolder, and RDKit::MolHolder.

Referenced by RDKit::SubstructLibrary::getFingerprints(), and ~MolHolderBase().

virtual boost::shared_ptr<ROMol> RDKit::MolHolderBase::getMol | ( | unsigned | int | ) | const
| pure virtual

Implemented in RDKit::CachedTrustedSmilesMolHolder, RDKit::CachedSmilesMolHolder, RDKit::CachedMolHolder, and RDKit::MolHolder.

Referenced by RDKit::SubstructLibrary::getMol(), RDKit::SubstructLibrary::operator[](), and ~MolHolderBase().

virtual unsigned int RDKit::MolHolderBase::size | ( |  | ) | const
| pure virtual

Get the current library size.

Implemented in RDKit::CachedTrustedSmilesMolHolder, RDKit::CachedSmilesMolHolder, RDKit::CachedMolHolder, and RDKit::MolHolder.

Referenced by RDKit::CachedMolHolder::addBinary(), RDKit::MolHolder::addMol(), RDKit::CachedMolHolder::addMol(), RDKit::CachedSmilesMolHolder::addMol(), RDKit::CachedTrustedSmilesMolHolder::addMol(), RDKit::CachedSmilesMolHolder::addSmiles(), RDKit::CachedTrustedSmilesMolHolder::addSmiles(), and ~MolHolderBase().

The documentation for this class was generated from the following file:

- SubstructLibrary.h